## org.eclipse.datatools.connectivity.sqm.core.rte.fe
Class GenericDdlGenerator

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlGenerator

All Implemented Interfaces:
  DDLGenerator

public class GenericDdlGenerator
extends java.lang.Object
implements DDLGenerator

Nested Class Summary
`static class` `GenericDdlGenerator.SingletonOptionDependency`

Constructor Summary
`GenericDdlGenerator()`

Method Summary
`java.lang.String[]` `createSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`
`java.lang.String[]` `dropSQLObjects(SQLObject[] elements, boolean quoteIdentifiers, boolean qualifyNames, IProgressMonitor progressMonitor)`
`boolean` `generateAssertions(EngineeringOption[] options)`
`boolean` `generateCKConstraints(EngineeringOption[] options)`
`boolean` `generateCommentStatement(EngineeringOption[] options)`
`boolean` `generateCreateStatement(EngineeringOption[] options)`
`boolean` `generateDatabase(EngineeringOption[] options)`
`java.lang.String[]` `generateDDL(SQLObject[] elements, IProgressMonitor progressMonitor)`
`boolean` `generateDropStatement(EngineeringOption[] options)`
`boolean` `generateFKConstraints(EngineeringOption[] options)`
`boolean` `generateFullyQualifiedNames(EngineeringOption[] options)`
`boolean` `generateFunctions(EngineeringOption[] options)`
`boolean` `generateIndexes(EngineeringOption[] options)`
`boolean` `generatePKConstraints(EngineeringOption[] options)`
`boolean` `generateQuotedIdentifiers(EngineeringOption[] options)`
`boolean` `generateSchemas(EngineeringOption[] options)`
`boolean` `generateSequences(EngineeringOption[] options)`
`boolean` `generateStoredProcedures(EngineeringOption[] options)`
`boolean` `generateTables(EngineeringOption[] options)`
`boolean` `generateTriggers(EngineeringOption[] options)`
`boolean` `generateUserDefinedTypes(EngineeringOption[] options)`
`boolean` `generateViews(EngineeringOption[] options)`
`EngineeringOptionCategory[]` `getOptionCategories()`
`EngineeringOption[]` `getOptions(SQLObject[] elements)`
`EngineeringOption[]` `getSelectedOptions(SQLObject[] elements)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericDdlGenerator

    public GenericDdlGenerator()

Method Detail

### generateDDL

    public java.lang.String[] generateDDL(SQLObject[] elements,
                                          IProgressMonitor progressMonitor)

  Specified by:
    `generateDDL` in interface `DDLGenerator`

### createSQLObjects

    public java.lang.String[] createSQLObjects(SQLObject[] elements,
                                               boolean quoteIdentifiers,
                                               boolean qualifyNames,
                                               IProgressMonitor progressMonitor)

  Specified by:
    `createSQLObjects` in interface `DDLGenerator`

### dropSQLObjects

    public java.lang.String[] dropSQLObjects(SQLObject[] elements,
                                             boolean quoteIdentifiers,
                                             boolean qualifyNames,
                                             IProgressMonitor progressMonitor)

  Specified by:
    `dropSQLObjects` in interface `DDLGenerator`

### getOptionCategories

    public EngineeringOptionCategory[] getOptionCategories()

  Specified by:
    `getOptionCategories` in interface `DDLGenerator`

### getOptions

    public EngineeringOption[] getOptions(SQLObject[] elements)

  Specified by:
    `getOptions` in interface `DDLGenerator`

### getSelectedOptions

    public EngineeringOption[] getSelectedOptions(SQLObject[] elements)

### generateDropStatement

    public boolean generateDropStatement(EngineeringOption[] options)

### generateCreateStatement

    public boolean generateCreateStatement(EngineeringOption[] options)

### generateCommentStatement

    public boolean generateCommentStatement(EngineeringOption[] options)

### generateDatabase

    public boolean generateDatabase(EngineeringOption[] options)

### generateSchemas

    public boolean generateSchemas(EngineeringOption[] options)

### generateQuotedIdentifiers

    public boolean generateQuotedIdentifiers(EngineeringOption[] options)

### generateFullyQualifiedNames

    public boolean generateFullyQualifiedNames(EngineeringOption[] options)

### generateTables

    public boolean generateTables(EngineeringOption[] options)

### generateIndexes

    public boolean generateIndexes(EngineeringOption[] options)

### generateStoredProcedures

    public boolean generateStoredProcedures(EngineeringOption[] options)

### generateViews

    public boolean generateViews(EngineeringOption[] options)

### generateTriggers

    public boolean generateTriggers(EngineeringOption[] options)

### generateSequences

    public boolean generateSequences(EngineeringOption[] options)

### generateFunctions

    public boolean generateFunctions(EngineeringOption[] options)

### generateUserDefinedTypes

    public boolean generateUserDefinedTypes(EngineeringOption[] options)

### generateCKConstraints

    public boolean generateCKConstraints(EngineeringOption[] options)

### generatePKConstraints

    public boolean generatePKConstraints(EngineeringOption[] options)

### generateFKConstraints

    public boolean generateFKConstraints(EngineeringOption[] options)

### generateAssertions

    public boolean generateAssertions(EngineeringOption[] options)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.